#
# Conditional build:
%bcond_without	tests		# unit tests
%bcond_with	tests_net	# unit tests using network

%define		module	cssutils
%define		encutils_ver 0.9.8
Summary:	A CSS Cascading Style Sheets library for Python
Summary(pl.UTF-8):	Biblioteka CSS (Cascading Style Sheets) dla Pythona
Name:		python3-%{module}
Version:	2.11.1
Release:	1
Epoch:		1
License:	LGPL v3+
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/c/cssutils/%{module}-%{version}.tar.gz
# Source0-md5:	c8c21e635454d9ca73b21892def35f55
URL:		http://cthedot.de/cssutils/
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-build
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-jaraco.test
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python package to parse and build CSS Cascading Style Sheets. Partly
implements the DOM Level 2 Stylesheets and DOM Level 2 CSS interfaces.

%description -l pl.UTF-8
Pakiet Pythona do analizy i tworzenia CSS (Cascading Style Sheets).
Częściowo implementuje interfejsy DOM Level 2 Stylesheets oraz DOM
Level 2 CSS.

%prep
%setup -q -n %{module}-%{version}

%if %{without tests_net}
%{__sed} -i -e 's/def test_parseUrl/def skip_parseUrl/' cssutils/tests/test_parse.py
%{__sed} -i -e 's/def test_handlers/def skip_handlers/' cssutils/tests/test_errorhandler.py
%endif

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" cssutils/tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

for f in csscapture csscombine cssparse ; do
	%{__mv} $RPM_BUILD_ROOT%{_bindir}/$f $RPM_BUILD_ROOT%{_bindir}/${f}-3
	ln -sf ${f}-3 $RPM_BUILD_ROOT%{_bindir}/$f
done

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/cssutils/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst NEWS.rst
%attr(755,root,root) %{_bindir}/csscapture
%attr(755,root,root) %{_bindir}/csscombine
%attr(755,root,root) %{_bindir}/cssparse
%attr(755,root,root) %{_bindir}/csscapture-3
%attr(755,root,root) %{_bindir}/csscombine-3
%attr(755,root,root) %{_bindir}/cssparse-3
%{py3_sitescriptdir}/cssutils
%{py3_sitescriptdir}/encutils
%{py3_sitescriptdir}/cssutils-%{version}.dist-info
%changelog
* Sat Mar 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cssutils.git;a=log;h=master

* Sat Mar 22 2025 Jan Rękorajski <baggins@pld-linux.org> c3d3faa
- up to 2.11.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> a46cc71
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4b3cd00
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> c1131d6
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5f9a08a
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e72c597
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5d19013
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Palus <atler@pld-linux.org> fb9c2bb
- noarch; rel 6

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 21a0a31
- enchanced tests patch

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> bb93a71
- rebuild with python 3.8
- release 5 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bee3c32
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> dcff555
- python 3.7 rebuild
- release 3 (by relup.sh)

* Tue Jul 04 2017 Jakub Bogusz <qboosh@pld-linux.org> e1cf6bb
- disable network related tests by default; release 2

* Mon Jul 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 94d7230
- Source0 URL fix

* Mon Jul 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 9565b20
- updated to 1.0.2
- added tests patch (fixes tests with CPython 2.x)
- added mock patch (don't require external mock with python 3, unittest.mock is enough)
- added python3- package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 985e837
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d3137d0
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7737135
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 5abb534
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 4b3a8c5
- rel 2

